package edu.princeton.swing;

import java.awt.*;
import javax.swing.*;

/**
 * PSpacer is a transparent JComponent whose miminumSize, preferredSize, and maximumSize have all
 * been set to a certain value upon construction.
 *
 * @author btsang
 * @version 7.1
 */

public class PSpacer extends JComponent
{
    /**
     * Constructs a new PSpacer.
     */
    public PSpacer(int width, int height)
    {
        this(new Dimension(width, height));
    }

    /**
     * Constructs a new PSpacer.
     */
    public PSpacer(Dimension size)
    {
        super();

        if (size.width <= 0 || size.height <= 0)
            throw new IllegalArgumentException();

        setOpaque(false);
        setMinimumSize(size);
        setPreferredSize(size);
        setMaximumSize(size);
    }
}
